section.--regular-header .--regular-header-wrapper.is-sticky {
    position: fixed;
    top: 0;
    /* left: 0; */
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    z-index: 2;
    background: #fff;
}
section.--regular-header .--regular-header-wrapper.is-sticky::after {
    position: absolute;
    content: "";
    top: 0;
    left: 50%;
    background: #fff;
    width: 100vw;
    height: 100%;
    transform: translateX(-50%);
    z-index: 0;
} 

.--regular-header{

.--logo-wrapper {
    position: relative;
}
.--menu-elements {
    display: grid;
    grid-template-columns: 1fr auto 1fr;
    gap: 50px;
    min-height: 54px;
    align-items: center;
    position: relative;
        z-index: 1;
}
.--burger-icon svg {
  max-width: unset;
}
.--logo {
    display: block;
    max-width: 150px;
    height: auto;
}

.--right-column-desktop {
    display: flex;
    gap: 30px;
    align-items: center;
    justify-content: flex-end;
    @media(max-width: 768px){
       gap: 5px;
    }
}
.--right-column-desktop svg {
  max-width: unset;
}
.--account-icon-wrapper {
  position: relative;
}
.--account-links {
        display: none;
        gap: 10px;
        flex-direction: column;
        background: #fff;
        z-index: 2;
        position: absolute;
        right: 0;
        top: 110%;
        min-width: 170px;
        padding: 10px;
        box-shadow: 0 2px 20px rgba(0, 0, 0, 0.15);
    }
    .--account-links.--active-account-links{
      display: flex;
    }
    .--account-links a{
      padding-block: 5px;
      line-height: 1.2;
    }

/* Header Drawer Start */
.--regular-header-drawer {
    color: #2d2d2d;
    display: flex;
    /* align-items: center; */
    gap: 10px;
    flex-direction: column;
    position: fixed;
    left: -1000px;
    top: 0;
    transition: 0.3s linear;
    width: 100%;
    max-width: 600px;
    height: 100vh;
    z-index: 100;
    justify-content: flex-start;
    overflow-y: auto;
    padding-top: 18px;
    background: #fff;
    border: 3px solid #7933c4;
    padding: 16px;
    scrollbar-width: thin;             
    scrollbar-color: #983cee #efefef; 
     @media(max-width: 768px){
        gap: 5px;
     }
}
.--regular-header-drawer.active {
left: 0px;

}

.--regular-header-drawer {


.--close-wrapper {
    display: flex;
    width: 100%;
    justify-content: flex-end;
}
.--burger__rating-container {
    display: flex;
    gap: 5px;
    min-height: 30px;
    @media(max-width: 768px){
        align-items: center;
        justify-content: center;
    }
}
.--burger__rating-container span{
   
    
    @media(max-width: 768px){
       font-size: 12px;
       line-height: 1;
    }
}
.--burger__rating-container img {
    max-width: 64px;
    object-fit: contain;
    object-position: center;
}
h3.--list-title {
    font-size: 20px;
    line-height: 28px;
    margin-block: 0;
}
/* Popular Products Start */
.swiper.--popular-product-slider {
    width: 100%;
}
.--popular-product-wrapper {
    display: grid;
    /* grid-template-columns: 1fr; */
    grid-template-columns: minmax(0,1fr);
    width: 100%;
    max-width: 100%;
}
.--popular-card {
    display: flex;
    flex-direction: column;
    gap: 8px;
    position: relative;
}
.--popular-card  .--review-wrapper {
    display: grid;
    grid-template-columns: 30px minmax(0,1fr);
    gap: 5px;
    align-items: center;
}
.--popular-card  img.--popluar-card-image {
     @media(max-width: 768px){
        max-width: 80%;
     }
    
}
.--popular-card  .--review-wrapper span {
    font-size: 10px;
    line-height: 1;
}
.--popular-card-title {
    font-size: 12px;
    line-height: 1.4;
    margin-block: 0;
    font-weight: 600;
}
a.--popular-card-cta {
    text-decoration: underline ;
    font-size: 10px;
    font-weight: 400;
    display: block;
}

/* Popular Products End */

ul.--drawer-menu-1 {
    padding: 0;
    list-style-type: none;
    display: flex;
    flex-direction: column;
    gap: 10px;
    @media(max-width: 768px){
        margin-block: 10px;
        gap: 5px;
     }
}
ul.--drawer-menu-1 a.drawer-menu__link {
    color: #2d2d2d;
    font-size: 18px;
    line-height: 22px;
    font-weight: 600;
    text-decoration: none;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 5px;
    padding-block: 5px;
    @media(max-width: 768px){
        font-size: 16px;
    line-height: 20px;
    }
}



ul.--drawer-menu-1 a.drawer-menu__link.--violet-highlight {
    color: #612ce9;
    text-transform: uppercase;

}
ul.--drawer-menu-1 a.drawer-menu__link.--has-child-item {
    justify-content: space-between;
}
ul.--drawer-menu-1 a.drawer-menu__link.--quiz-item {
    color: #612ce9;
    text-transform: uppercase;
}
ul.--drawer-menu-1 a.drawer-menu__link.level-2 {
    font-size: 16px;
}
img.--recovery-menu {
    max-width: 26px;
}
a.drawer-menu__link svg.plus__icon {
    display: block;
}
a.drawer-menu__link svg.minus__icon {
    display: none;
}
li.--accordion-active a.drawer-menu__link svg.plus__icon {
    display: none;
}
li.--accordion-active a.drawer-menu__link svg.minus__icon {
    display: block;
}
.--child-items {
    height: 0;
    overflow: hidden;
    transition: .5s ease;
    padding: 0;
}
li.--accordion-active .--child-items {
    height: max-content;
}
.--child-items li {
    border-bottom: 1px solid #efefef;
    padding-block: 5px;
    padding-left: 20px;
}

ul.--drawer-menu-2 {
    padding-left: 0;
    list-style-type: none;
}
ul.--drawer-menu-2 a {
    text-decoration: none;
    color: #2d2d2d;
    font-size: 16px;
    font-weight: 600;
}
/* Burger Reviews Start */
.swiper.--burger-review-slider {
    width: 100%;
}
li.__review-slider__item {
    background-color: #f8efff;
    padding: 8px;
}
.__review-slider__item__header {
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    width: 100%;
    padding-left: 4px;
    margin-bottom: 6px;
}
.__review-slider__item__header__round {
    display: block;
    border-radius: 50%;
    background-color: #9e9e9e;
    color: white;
    font-size: 14px;
    width: 42px;
    height: 42px;
    display: flex;
    -webkit-box-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    align-items: center;
    margin-right: 3px;
}

.__review-slider__item__header__cont {
    display: flex;
    -webkit-box-pack: center;
    justify-content: center;
    -webkit-box-align: start;
    align-items: flex-start;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    flex-direction: column;
}
.__review-slider__item__header__cont h5 {
    margin: 0 0 3px 0;
    font-size: 14px;
    font-weight: 500;
    text-transform: none;
    letter-spacing: normal;
    line-height: normal;
}
.__review-slider__item__header__cont div {
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    width: 100%;
}
.__review-slider__item__header__cont div span {
    font-size: 11px;
    margin-right: 2px;
}
.__review-slider__item__header__cont div img { 
    max-width: 8px;
}
.__review-slider__item__body {
    backface-visibility: hidden;
    box-sizing: border-box;
    list-style-type: none!important;
    margin: 0;
    position: relative;
    display: flex;
    -webkit-box-align: center;
    align-items: center;
    -webkit-box-pack: justify;
    justify-content: space-between;
    width: 100%;
}
.__review-slider__item__body__title-container {
    /* line-height: 1; */
}
.__review-slider__item__body__title-container {
    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-direction: column;
    -moz-box-orient: vertical;
    -moz-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
}
.__review-slider__item__body p {
    font-weight: 400;
    text-rendering: optimizeLegibility;
    margin: 0 4px 0 0;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 5;
    -webkit-box-orient: vertical;
    font-size: 12px;
    line-height: 14px;
    @media(max-width: 768px){
        font-size: 14px;
        line-height: 18px;
    }
}
.__review-slider__item__body p.four--rows--text {

    -webkit-line-clamp: 4;
   
}
.__review-slider__item__body span {
    font-weight: bold;
    font-size: 10px;
    line-height: 12px;
    @media(max-width: 768px){
        font-size: 16px;
        line-height: 20px;
    }
}
.__review-slider__item__body img {
    max-width: 40px;
}
.__review-slider__item a {
    color: black;
    font-size: 12px;
    width: 100%;
    display: block;
    text-align: start;
    text-decoration: underline;
    @media(max-width: 768px){
        font-size: 16px;
        line-height: 20px;
    }
}
a.--shop-now-button {
    min-height: 36px;
    border-radius: 4px;
    background: #983cee;
    color: #ffffff;
    font-weight: 600;
    text-decoration: none;
    display: flex;
    -webkit-box-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    align-items: center;
    font-size: 16px;
    width: 210px;
    height: 46px;
    margin: 10px auto;
}
/* Burger Reviews End */






}

.--social-icons-wrapper {
    display: flex;
    gap: 30px;
    justify-content: center;
    align-items: center;
}
.--social-icons-wrapper img {
    display: block;
    max-width: 20px;
}

/* Header Drawer End */


















}